# -*- coding: UTF-8 -*-
# -*- Mode: Python; py-indent-offset: 4 -*-
# Authors: Nik Kim <fafhrd@legco.biz> 
__version__ = '$Revision: 1.6 $'[11:-2]

from Products.CMFCore.CMFCorePermissions import *

forumManager = 'Forum manager'
forumReviewer = 'Reviewer'
forumReader = 'Forum reader'
forumWriter = 'Forum writer'
replyWriter = 'Reply writer'
topicOwner = 'TopicOwner'
replyOwner = 'ReplyOwner'

forumRoles = (forumManager, forumReviewer, forumReader,
              forumWriter, replyWriter, topicOwner, replyOwner)

setDefaultRoles( View, ( 'Manager', 'Forum Manager', 'Reader' ))
setDefaultRoles( ModifyPortalContent, ( 'Manager', 'Forum Manager' ))

AddTopic = 'Add forum topic'
setDefaultRoles( AddTopic, ( 'Manager', 'Forum manager' ))

AddTopicReply = 'Add forum topic reply'
setDefaultRoles( AddTopicReply, ( 'Manager', 'Forum manager', forumReviewer))	

ManageForum = 'Manage forum'
setDefaultRoles( ManageForum, ( 'Manager', 'Forum manager'))

ManageTopic = 'Manage forum topic'
setDefaultRoles( ManageTopic, ( 'Manager', 'Forum manager', forumReviewer))

ModifyTopic = 'Modify forum topic'
setDefaultRoles( ModifyTopic, ( 'Manager', 'Forum manager'))

ModifyReply = 'Modify forum topic reply'
setDefaultRoles( ModifyReply, ( 'Manager', 'Forum manager'))

ViewAdminTopic = 'View admin topic'
setDefaultRoles( ViewAdminTopic, ( 'Manager', 'Forum manager', forumReviewer))

DeleteTopic = 'Delete forum topic'
setDefaultRoles( DeleteTopic, ( 'Manager', 'Forum manager'))

DeleteReply = 'Delete forum reply'
setDefaultRoles( DeleteReply, ( 'Manager', 'Forum manager'))
