## Script (Python) "forum_add_topic"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=title, answers, text='', sticky_flag=0, image_file=None, file_file=None, message_icon='', text_format='', signature=0
##title=Add new topic
##

file = file_file
image = image_file

if not(hasattr(image, 'filename') and (image.filename != '')):
    image = ''

if not(hasattr(file, 'filename') and (file.filename != '')):
    file = ''

ob = context.manage_addTopic(title=title, text=text, answers=answers,
                             sticky_flag=sticky_flag, image=image,file=file,
                             portal_type='ForumPoll', message_icon=message_icon,
                             text_format=text_format, signature=signature)

return ( 'success', ob,
         { 'portal_status_message': context.REQUEST.get('portal_status_message',
                                                        'Topic added') } )
