## Script (Python) "forum_get_forum_data"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=forum
##title=Get forum topics
##

try:
    catalog = forum.forum_catalog
    replies = 0
    topics = catalog(sort_on='modified', sort_order='reverse')
    for t in topics:
        replies += t.replies
    topic = topics[0]
    return { 'posts':len(topics), 'replies':replies, 'last_user': topic.last_reply_user,
             'last_mtime': topic.modified, 'topic_br': topic, 'topic': topic.getObject() }
except:
    return { 'posts':0, 'replies':0, 'last_user': None, 'last_mtime': None,
             'topic': None }
