## Script (Python) "forum_get_forums_tree"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Get forums
##

mtool = context.portal_membership

found = 0
parent = context
while not found:
    if parent.Type() != 'Forum Folder':
        parent = parent.aq_inner.aq_parent
    else:
        found = 1

if parent.aq_parent.Type() == 'Forum Folder':
    parent = parent.aq_inner.aq_parent
   
res = []

def add_rec(folder, mark1='', mark2='--'):
    if mtool.checkPermission('View', folder):
        res.append({'title':folder.title_or_id(),
                    'disable':0, 'url':folder.absolute_url(),
                    'icon': folder.getIcon(),
                    'mark': mark1})

        for forum in folder.objectValues('ForumNB'):
            if mtool.checkPermission('View', forum):
                res.append(
                    {'title':forum.title_or_id(),
                     'disable':1, 'url': forum.absolute_url(),
                     'icon': forum.getIcon(),
                     'mark': mark2})

        for folder in folder.objectValues('ForumFolder'):
            add_rec(folder, mark1+'-', mark2+'--')


add_rec(parent)

return res
