## Script (Python) "forum_get_message_actions"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=msg, msg_id, msg_url, isModerated, replyable, topic_id, mtool, wtool,quote=0
##title=Get forums
##

res = {}

if replyable:
    res['reply'] = '%s/forum_reply_form'%msg_url

    if quote:
        res['quote'] = 1

if (msg.Type() == 'Forum Message'):
    if mtool.checkPermission('Modify forum topic reply', msg):
        res['edit'] = '%s/forum_message_edit'%msg_url

    if mtool.checkPermission('Delete forum reply', msg):
        res['delete'] = '%s/forum_message_delete_form'%msg_url

else:    
    if mtool.checkPermission('Modify forum topic', msg):
        res['edit'] = '%s/%s'%(msg_url, msg.getTypeInfo().getActionById('edit'))
        
    if mtool.checkPermission('Delete forum topic', msg):
        res['delete'] = '%s/forum_message_delete_form'%msg_url

if isModerated or (msg_id==topic_id):
    transitions = wtool.getTransitionsFor(msg)
    if transitions:
        res['review_state'] = wtool.getInfoFor(msg,'review_state','')
        res['transitions'] = transitions
        
return res
