## Script (Python) "forum_get_replies"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=topic, topic_replies, message, member, page_size, url
##title=Get link to last reply
##

mode = topic.forum_get_sort_mode(member);

if mode not in ('older_first','newer_first','default'):
    mode = 'default'

if mode == 'newer_first':
    return '%s#%s'%(url, message.getId())

elif mode == 'older_first':
    page = int(round(float(len(topic_replies))/page_size + 0.5)) - 1
    return '%s?b_start:int=%s#%s'%(url, page*page_size, message.getId())
else:
    res = [0, 0]

    def get_ch(msg, res):
        if msg.id == message.id:
            res[0] = 1
            res[1] = res[1] + 1
            return 1
        else:
            res[1] = res[1] + 1
            for ch in msg.getChildren():
                if get_ch(ch, res):
                    return 1
            return 0
        
    get_ch(topic, res)

    if res[0]:
        pages = int(round(float(res[1])/page_size + 0.5)) - 1
        return '%s?b_start:int=%s#%s'%(url, pages*page_size, message.getId())
    else:
        return url

return result
