## Script (Python) "quote_format"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=raw_text, creation_user
##title=
##
# This script will format the content text
# auitable for JS process, it is intended to
# aid in the creation of a quote inside the 
# topic thread page
# Script added on fcForum 1.0.0-RC2
#
# 1. We need to get rid of all "\n" and replace them
#    with \\n (JS inline)
# 2. Apostrophes (') will be "escaped" (\')

from Products.PythonScripts.standard import html_quote

rval = html_quote(raw_text) # Take care of < > & %, etc..
# Sub-quoting will be disabled by:
# Removing any text betweeen [blockquote]xxx[/blockquote]
if rval.find('[blockquote]') >= 0:
  start = rval.find('[blockquote]')
  if rval.rfind('[/blockquote]') >= 0:
    end  = rval.rfind('[/blockquote]') + 14
    rval = "%s%s" % (rval[:start], rval[end:])
  else:
    # Malformed html coding,
    # prevent further damage
    rval = 'Malformed Quoting'
elif rval.find('[/blockquote]') >= 0:
  # Malformed html coding,
  # prevent further damage
  rval = 'Malformed Quoting'

# Otherwise just leave as it is and wub-quoting will be enabled
#rval = raw_text
rval = rval.replace('\n', '\\n')
rval = rval.replace('\r', '')
rval = rval.replace("'", "\\'")
return "[blockquote]From %s:\\n%s[/blockquote]\\n" % (creation_user, rval)
