## Script (Python) "prefs_mailhost_set"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=use_discussion=0, RESPONSE=None
##title=set mailhost prefs
##

REQUEST=context.REQUEST

portal = context.portal_url.getPortalObject()
use_discussion = not not use_discussion

if use_discussion:
    if (not hasattr(portal, 'portal_discussion') or
        portal.portal_discussion.meta_type != 'ForumDiscussionTool'):
        try:
            portal.manage_delObjects('portal_discussion')
        except:
            pass
        addTool = portal.manage_addProduct['CMFBoard'].manage_addTool
        addTool('ForumDiscussionTool')
else:
    if (hasattr(portal, 'portal_discussion') and
        portal.portal_discussion.meta_type == 'ForumDiscussionTool'):
        try:
            portal.manage_delObjects('portal_discussion')
        except:
            pass
        addTool = portal.manage_addProduct['CMFDefault'].manage_addTool
        addTool('Default Discussion Tool')


skinstool = context.portal_skins
maillistSkin = 'cmfboard/fcMaillist'

if REQUEST.has_key('unique_emails'):
    for skinName in skinstool.getSkinSelections():
        path = skinstool.getSkinPath(skinName)
        path = [i.strip() for i in path.split(',')]
        if maillistSkin not in path:
            try:
                path.insert(path.index('custom')+1, maillistSkin)
            except:
                path.append(maillistSkin)

        path = ','.join(path)
        skinstool.addSkinSelection(skinName, path)
else:
    REQUEST.set('unique_emails', 0)

    for skinName in skinstool.getSkinSelections():
        path = skinstool.getSkinPath(skinName)
        path = [i.strip() for i in path.split(',')]
        while maillistSkin in path:
            del path[path.index(maillistSkin)]

        path = ','.join(path)
        skinstool.addSkinSelection(skinName, path)

properties = context.portal_properties.cmfboard_properties
properties.manage_changeProperties(REQUEST)

return ('success', context, {'portal_status_message': 'CMFBoard settings updated.'})
