## Script (Python) "validate_add_tpic"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Validate a forum_add_topic_form
##

request = context.REQUEST

form = request.form

if form.has_key('form.button.Cancel'):
    return ('cancel', {}, {'portal_status_message':'Topic creation canceled.'})

validator = context.portal_form.createForm()
validator.addField('title', 'String', required=1)
validator.addField('text', 'String', required=1)
errors = validator.validate(context.REQUEST)

imagefile = request.get('image_file', '')
if hasattr(imagefile, 'filename'):
    if context.image_size < len(imagefile.read()):
        errors['image']='Max size exceeded.'

file = request.get('file_file', '')
if hasattr(file, 'filename'):
    if context.file_size < len(file.read()):
        errors['file']='Max size exceeded.'

if errors:
    return ('failure', errors, {'portal_status_message':'Please correct the indicated errors.'})
elif form.has_key('form.button.Preview'):
    request.set('preview_text', context.fcForum_parser(
        request.get('content',''), text_format=request.get('text_foramt','text/plain')))
    return ('preview', {}, {})
else:
    return ('success', errors, {'portal_status_message':'Topic added.'})
