## Script (Python) "validate_prefs_contact"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Validates the personalization form
##

request = context.REQUEST

form = request.form

if form.has_key('form.button.Cancel'):
    return ('cancel', {}, {'portal_status_message':'Action canceled.'})

emails = []

for e_name in form.keys():
    if e_name[:6] == 'email_':
        emails.append(e_name)

validator = context.portal_form.createForm()
for e_name in emails:
    validator.addField(e_name, 'Email', required=1)
errors=validator.validate(request)

if errors:
    return ('failure', errors, {'portal_status_message':'Please correct your errors'})
return ('success', errors, {'portal_status_message':'Personal settings have been saved'})
