## Script (Python) "validate_prefs_contact"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Validates the personalization form
##

request = context.REQUEST

validator = context.portal_form.createForm()
validator.addField('forum_page_size', 'Integer', required=1)
validator.addField('topic_page_size', 'Integer', required=1)
errors=validator.validate(request)

if request.has_key('unique_emails') and context.forum_check_uniques():
    errors['unique_emails'] = 'There is non unique emails.'

if errors:
    return ('failure', errors, {'portal_status_message':'Please correct your errors'})
return ('success', errors, {'portal_status_message':'Personal settings have been saved'})
