# -*- coding: UTF-8 -*-
# -*- Mode: Python; py-indent-offset: 4 -*-
# Authors: Nik Kim <fafhrd@legco.biz>

from Products.CMFCore.utils import getToolByName, _checkPermission
from Products.CMFCore.CMFCorePermissions import ManagePortal

def change_email_for_member(self, member, email):

    portal = getToolByName(self, 'portal_url').getPortalObject()

    if _checkPermission(ManagePortal, portal):
        member.setMemberProperties({'email': email})

def check_member_email(self, email, registration=0):
    members = self.portal_membership.searchMembers('email', email)

    if not registration:
        member=self.portal_membership.getAuthenticatedMember()
        m = {'username': member.getUserName(),
             'email': member.getProperty('email')}
        if m in members:
            members.remove(m)

    if members:
        return 1
    else:
        return 0

